<div class="min-w-full p-2">
    <form class="flex flex-col w-full" [formGroup]="teamList" (ngSubmit)="onFormSubmit(teamList.value)">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Add Collaboration Team/s
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">
            <div class="w-full">
                <div class="flex w-full">
                    <div class="w-full" formArrayName="collaborationTeamTextViewModels"> <!-- added new -->
                        <div *ngFor="let item of collaborationTeamTextViewModels.controls; let i=index"><!-- added new -->
                            <div [formGroupName]="i" class="flex flex-col"><!-- added new -->
                                <div class="flex w-full">
                                    <mat-form-field class="w-1/3 pr-2">
                                        <mat-label>Team Name</mat-label>
                                        <input matInput formControlName="teamName" />
                                        <!-- <mat-error>
                                            <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                        </mat-error> -->
                                    </mat-form-field>
                                    <mat-form-field class="w-1/3 px-2">
                                        <mat-label>Team Description</mat-label>
                                        <input matInput formControlName="teamDescription" />
                                        <!-- <span
                                            *ngIf="!teamList.get('teamDescription').valid && teamList.get('teamDescription').touched">Please
                                            enter Team Desc</span> -->
                                    </mat-form-field>
                                    <mat-form-field class="w-1/3 pl-2">
                                        <mat-label>Select Type</mat-label>
                                        <mat-select [value]="'private'">
                                            <mat-option [value]="'private'">Private</mat-option>
                                            <ng-container>
                                                <mat-option value="private">Private</mat-option>
                                                <mat-option value="public">Public</mat-option>
                                            </ng-container>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                                <button *ngIf="collaborationTeamTextViewModels.controls.length-1==i" type="button" class="sm:inline-flex mr-auto my-4" mat-stroked-button  (click)="addTeam()"
                                [color]="'primary'">
                                <mat-icon class="icon-size-5 ml-8 mr-2" [svgIcon]="'heroicons_outline:plus-circle'">
                                </mat-icon>
                                <span class="mr-8">Add Another Team</span>
                            </button>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <div class="flex flex-col justify-start mt-5">
                <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                    <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                    <span>{{'Successfully saved'}}</span>
                </div>
                <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                    <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                    <span>{{'Something went wrong'}}</span>
                </div>
            </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-stroked-button [color]="'warn'" type="button">
                <span class="mx-4">Delete Team</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Save Changes</span>
            </button>
        </mat-dialog-actions>
    </form>
</div>
